# coding: utf-8

from ru.curs.showcase.core.jython import JythonProc
from xml.dom.minidom import *


# init vars
main = ""
add = ""
session = ""
data = ""
elementId = ""
filterContext = ""


class XFormSaveProc(JythonProc):
    def save(self, context, elId, adata):
        global main, add, session, filterContext, data, elementId
        main = context.getMain()
        if context.getAdditional():
            add = context.getAdditional()
        session = context.getSession()
        if context.getFilter():
            filterContext = context.getFilter()
        data = adata
        elementId = elId
        return mainproc()


def mainproc():
    u'''Сохраняем карточку в БД PSQL и даем доступ к Свободным материалам.'''
    #raise Exception(String(data))
    xformsdata = parseString(unicode(data))

    # Данные из карточки распарсенные вносим сюда
    dataelem = xformsdata.getElementsByTagName('data')[0]
    attr = dataelem.attributes
    person = dict(attr.items())



if __name__ == '__main__':
    mainproc()
